.ya-map{
  width:100%;
  border-radius:28px;
  overflow:hidden;
  background:#fff;
  box-shadow:0 18px 40px rgba(0,0,0,.08);
}

.ya-map,
.ya-map > div,
.ya-map > div > div,
.ya-map iframe{
  width:100% !important;
  max-width:100% !important;
  height:313px !important;   /* ВОТ ТУТ НУЖНАЯ ВЫСОТА */
  border:0 !important;
  display:block !important;
}

/* мобилка */
@media (max-width:480px){
  .ya-map{
    border-radius:22px;
    box-shadow:0 14px 30px rgba(0,0,0,.08);
  }
  .ya-map,
  .ya-map > div,
  .ya-map > div > div,
  .ya-map iframe{
    height:240px !important; /* аккуратно для мобилы */
  }
}